angular.module('camotion')
    .controller('CommandsController', ['$scope', 'CommandsService', 'dialogs',
        function($scope, CommandsService, dialogs) {

            $scope.luTable = {
                columns: [
                    {
                        name: "Name",
                        width: 3,
                        getValue: function (item) {
                            return item.Name;
                        }
                    },{
                        name: "Description",
                        width: 9,
                        getValue: function (item) {
                            return item.Description;
                        }
                    }
                ],

                getLoadPagePromise: function (page, perPage, query, promise) {
                    return CommandsService.getAll({page: page, perPage: perPage, query: query}, promise);
                },

                canClick: function()
                {
                    return true;
                },

                onItemClicked: function(command)
                {
                    dialogs.create('views/modals/commandexec.html', 'CommandExecController', command)
                        .result.then(function (data) {

                    });
                    /*CommandsService.exec({command_id: command.Id});
                    console.log(command);*/
                }
            };
    }]);
